Page MenuHomePhabricator

[Attributor] Delete dead stores
ClosedPublic

Authored by jdoerfert on Jul 16 2021, 1:44 PM.

Details

Summary

D106185 allows us to determine if a store is needed easily. Using that
knowledge we can start to delete dead stores.

Diff Detail

Event Timeline

jdoerfert created this revision.Jul 16 2021, 1:44 PM
jdoerfert requested review of this revision.Jul 16 2021, 1:44 PM
Herald added a reviewer: baziotis. · View Herald Transcript
Herald added a project: Restricted Project. · View Herald Transcript
Herald added a subscriber: bbn. · View Herald Transcript
jdoerfert updated this revision to Diff 359442.Jul 16 2021, 2:03 PM

Adjust 3 more tests

kuter accepted this revision.Jul 19 2021, 4:18 PM

LGTM.
Maybe we can explain why the bit state is needed.

This revision is now accepted and ready to land.Jul 19 2021, 4:18 PM
This revision was landed with ongoing or failed builds.Jul 26 2021, 9:34 PM
This revision was automatically updated to reflect the committed changes.